Subject: Re: bug#30921: Jupyter uses the wrong Python.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 02 Jul 2018 17:10:29 +0200

Konrad Hinsen <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>>> Yes. Installed kernels are normally under $prefix/share/jupyter/kernels.
>>> A standard installation of Jupyter via PyPI also installs a kernel for
>>> the same Python interpreter that is used for Jupyter. Additional kernels
>>> can then be installed afterwards.
>>
>> So my understanding is that there’s no bug on our side, right?
>
> That depends on what you call a bug.
>
> The current behavior of the Guix package for Jupyter is not in conflict
> with any written documentation for Jupyter, but does not respect a
> convention that standard installations (via pip, for example) do
> respect. This convention says that the default Python kernel for Jupyter
> uses the same Python installation as Jupyter itself.

Oh, got it.

> I'd vote for respecting this convention, and I'd be happy to work on an
> implementation, but don't count on me for this before August.

Alright, we’ll see!

Thanks for the explanation,
Ludo’.